Create Tool Child
tools
Create Tool Child
POST
Create Tool Child
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \
--url https://qall.io/api/tools/{tool_id}/children \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"config": {},
"description": "<string>",
"is_active": true,
"kind": "http"
}
'import requests
url = "https://qall.io/api/tools/{tool_id}/children"
payload = {
"name": "<string>",
"config": {},
"description": "<string>",
"is_active": True,
"kind": "http"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"message": "<string>",
"success": true,
"data": {
"id": 123,
"is_active": true,
"name": "<string>",
"type": "<string>",
"config": {},
"created_at": "<string>",
"description": "<string>",
"kind": "<string>",
"updated_at": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}curl --request POST \
--url https://qall.io/api/tools/{tool_id}/children \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"config": {},
"description": "<string>",
"is_active": true,
"kind": "http"
}
'import requests
url = "https://qall.io/api/tools/{tool_id}/children"
payload = {
"name": "<string>",
"config": {},
"description": "<string>",
"is_active": True,
"kind": "http"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"message": "<string>",
"success": true,
"data": {
"id": 123,
"is_active": true,
"name": "<string>",
"type": "<string>",
"config": {},
"created_at": "<string>",
"description": "<string>",
"kind": "<string>",
"updated_at": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.